path.expand {base} | R Documentation

## Expand File Paths

### Description

Expand a path name, for example by replacing a leading tilde by the user's home directory (if defined on that platform).

### Usage

    path.expand(path)

### Arguments

`path` | character vector containing one or more path names.

### Details

On some Unix versions, a leading `~user` will expand to the home directory of `user`, but not on Unix versions without `readline` installed.

### See Also

`basename`

### Examples

    path.expand("~/foo")

[Package base version 2.1.1 Index]